# Uses of Interface
org.eclipse.team.core.synchronize.ISyncInfoSetChangeListener

Packages that use ISyncInfoSetChangeListener
Package
Description
org.eclipse.team.core.synchronize
Application programming interfaces for managing synchronization state.

## Uses of ISyncInfoSetChangeListener in org.eclipse.team.core.synchronize

Methods in org.eclipse.team.core.synchronize that return ISyncInfoSetChangeListener
Modifier and Type
Method
Description
`protected ISyncInfoSetChangeListener[]`
SyncInfoSet.`getListeners()`
Return a copy of all the listeners registered with this set
Methods in org.eclipse.team.core.synchronize with parameters of type ISyncInfoSetChangeListener
Modifier and Type
Method
Description
`void`
SyncInfoSet.`addSyncSetChangedListener(ISyncInfoSetChangeListener listener)`
Registers the given listener for sync info set notifications.
`void`
SyncInfoSet.`connect(ISyncInfoSetChangeListener listener, IProgressMonitor monitor)`
Connect the listener to the sync set in such a fashion that the listener will be connected the the sync set using `addChangeListener` and issued a reset event.
`void`
SyncInfoSet.`removeSyncSetChangedListener(ISyncInfoSetChangeListener listener)`
Removes the given listener from participant notifications.